Description: If kvm can't be used, default to tcg.
 qemu-kvm has changed its default behavior.  If no accel= option is
 specified, then it only tries kvm.  If kvm is not supported, it fails.
 Change that, until LTS, to support tcg (un-accelerated qemu).  After
 LTS, we can drop this patch and require '-machine pc,accel=kvm:tcg'
 for legacy behavior.
Author: Serge Hallyn <serge.hallyn@ubuntu.com>
Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/qemu-kvm/+bug/892050
Forwarded: no

Index: qemu-kvm-1.0+noroms/vl.c
===================================================================
--- qemu-kvm-1.0+noroms.orig/vl.c	2011-12-07 12:44:22.327591287 -0600
+++ qemu-kvm-1.0+noroms/vl.c	2011-12-07 13:00:58.084528968 -0600
@@ -2020,7 +2020,7 @@
     if (p == NULL) {
 #ifdef CONFIG_KVM_OPTIONS
         /* Use the default "accelerator", kvm */
-        p = "kvm";
+        p = "kvm:tcg";
 #else
         /* Use the default "accelerator", tcg */
         p = "tcg";
